> ## Documentation Index
> Fetch the complete documentation index at: https://phidatainc-agui.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List Schedule Runs



## OpenAPI

````yaml get /schedules/{schedule_id}/runs
openapi: 3.1.0
info:
  title: Agno API Reference
  description: The all-in-one, private, secure agent platform that runs in your cloud.
  version: 2.5.6
servers: []
security: []
paths:
  /schedules/{schedule_id}/runs:
    get:
      tags:
        - Schedules
      summary: List Schedule Runs
      operationId: list_schedule_runs_schedules__schedule_id__runs_get
      parameters:
        - name: schedule_id
          in: path
          required: true
          schema:
            type: string
            title: Schedule Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            minimum: 1
            default: 100
            title: Limit
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_ScheduleRunResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PaginatedResponse_ScheduleRunResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ScheduleRunResponse'
          type: array
          title: Data
          description: List of items for the current page
        meta:
          $ref: '#/components/schemas/PaginationInfo'
          description: Pagination metadata
      type: object
      required:
        - data
        - meta
      title: PaginatedResponse[ScheduleRunResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScheduleRunResponse:
      properties:
        id:
          type: string
          title: Id
        schedule_id:
          type: string
          title: Schedule Id
        attempt:
          type: integer
          title: Attempt
        triggered_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Triggered At
        completed_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Completed At
        status:
          type: string
          title: Status
        status_code:
          anyOf:
            - type: integer
            - type: 'null'
          title: Status Code
        run_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Id
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Session Id
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        input:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Input
        output:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Output
        requirements:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Requirements
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created At
      type: object
      required:
        - id
        - schedule_id
        - attempt
        - status
      title: ScheduleRunResponse
    PaginationInfo:
      properties:
        page:
          type: integer
          minimum: 0
          title: Page
          description: Current page number (0-indexed)
          default: 0
        limit:
          type: integer
          minimum: 1
          title: Limit
          description: Number of items per page
          default: 20
        total_pages:
          type: integer
          minimum: 0
          title: Total Pages
          description: Total number of pages
          default: 0
        total_count:
          type: integer
          minimum: 0
          title: Total Count
          description: Total count of items
          default: 0
        search_time_ms:
          type: number
          minimum: 0
          title: Search Time Ms
          description: Search execution time in milliseconds
          default: 0
      type: object
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````